Fountain logo
ProductsFeaturesResourcesPricing
  • Overview
  • Getting started
  • Connect your agent
  • Finding clips
  • Styling clips
  • Publishing clips
  • Daily Growth
  • Publishing episodes
  • Analytics
  • Archive search

Endpoints

Overview
Project
Content
  • GETLoad Content
  • GETLoad Content Children
  • GETLoad Transcript
  • POSTGenerate Transcript
Search
Publishing
Uploads
Social

Models

Docs/Content

Content

Load content and generate transcripts.

In this group

  • GETLoad Content
  • GETLoad Content Children
  • GETLoad Transcript
  • POSTGenerate Transcript

Load Content

GEThttps://api.fountain.fm/v1/content/{id}

Load a show, episode, album or track by its Fountain ID. For podcast GUIDs, first use Lookup Podcast GUIDs.

Path parameters

idContentIDrequired

The Fountain content ID to load, e.g. episode:id:abc123 or show:id:def456.

Responses

200The matching content.
hitContentHitrequired

The matching content.

404Content not found.
Example request
curl -X GET "https://api.fountain.fm/v1/content/{id}"
Response · 200
{
  "hit": {
    "_id": "episode:id:abc123",
    "_type": "EPISODE",
    "_guid": "abcdef",
    "info": {
      "title": "#2394 - Palmer Luckey",
      "subtitle": "The Joe Rogan Experience",
      "publisher": "Joe Rogan",
      "audio": "https://example.com/episodes/abc123/audio.mp3",
      "video": "https://example.com/episodes/abc123/video.m3u8",
      "duration": 11294,
      "published": "2025-10-16T17:00:00.000Z"
    },
    "links": [
      "show:id:def456",
      "show:guid:abcdef"
    ]
  }
}

Load Content Children

GEThttps://api.fountain.fm/v1/content/{id}/children

Load a show’s episodes or an album’s tracks.

Path parameters

idContentIDrequired

Parent Fountain content ID.

Responses

200The child content.
hitsContentHit[]required

The child content.

Example request
curl -X GET "https://api.fountain.fm/v1/content/{id}/children" \
  -H "Authorization: Bearer $FOUNTAIN_API_KEY"
Response · 200
{
  "hits": [
    {
      "_id": "episode:id:abc123",
      "_type": "EPISODE",
      "_guid": "abcdef",
      "info": {
        "title": "#2394 - Palmer Luckey",
        "subtitle": "The Joe Rogan Experience",
        "publisher": "Joe Rogan",
        "audio": "https://example.com/episodes/abc123/audio.mp3",
        "video": "https://example.com/episodes/abc123/video.m3u8",
        "duration": 11294,
        "published": "2025-10-16T17:00:00.000Z"
      },
      "links": [
        "show:id:def456",
        "show:guid:abcdef"
      ]
    }
  ]
}

Load Transcript

GEThttps://api.fountain.fm/v1/content/{id}/transcript

Load an episode’s transcript or transcription status. Poll until segments is returned. If no transcript exists, use Generate Transcript.

Path parameters

idContentIDrequired

Episode Fountain ID.

Responses

200Transcript or transcription status.
segmentsTranscriptSegment[]optional

Transcript keyed by source. Absent while generating.

statusJobStatusoptional

Job status. Returned only while generating.

404No episode with that ID exists, or it has no transcript.
Example request
curl -X GET "https://api.fountain.fm/v1/content/{id}/transcript" \
  -H "Authorization: Bearer $FOUNTAIN_API_KEY"
Response · 200
{
  "segments": [
    {
      "start": 2477.91,
      "end": 2493.9,
      "text": "Imagine that you're an alien."
    }
  ]
}

Generate Transcript

POSThttps://api.fountain.fm/v1/content/{id}/transcript/generate
1 credit per transcript

Queue transcription of an episode’s audio or video.

Pricing

1 credit per transcript from your project credits. Charged once when queued.

Path parameters

idContentIDrequired

The episode to transcribe.

Responses

200Transcription queued.
statusJobStatusrequired

PENDING for a new job.

Example request
curl -X POST "https://api.fountain.fm/v1/content/{id}/transcript/generate" \
  -H "Authorization: Bearer $FOUNTAIN_API_KEY"
Response · 200
{
  "status": "PENDING"
}
Products
  • Podcasters
  • Artists
  • Listeners
  • Pricing
Features
  • Hosting
  • Clips and social
  • Daily Growth
  • Archive search
  • Monetization
  • Livestreams
  • Community
  • Analytics
  • All features
Resources
  • Docs
  • FAQs
  • Changelog
  • Blog
Discover
  • Trending
  • Feed
  • Charts
  • Search
Social
  • X
  • Nostr
  • Instagram
  • LinkedIn
  • YouTube
© 2026 Fountain·Privacy Policy·Terms of Use·Contact